VkShaderStatisticsInfoAMD Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkShaderStatisticsInfoAMD:
[legend]

## Data Fields

VkShaderStageFlags | shaderStageMask
VkShaderResourceUsageAMD | resourceUsage
uint32_t | numPhysicalVgprs
uint32_t | numPhysicalSgprs
uint32_t | numAvailableVgprs
uint32_t | numAvailableSgprs
uint32_t | computeWorkGroupSize [3]

## Detailed Description

Definition at line 6553 of file vulkan_core.h.

## Field Documentation

## computeWorkGroupSize

uint32_t VkShaderStatisticsInfoAMD::computeWorkGroupSize[3]

Definition at line 6560 of file vulkan_core.h.

## numAvailableSgprs

uint32_t VkShaderStatisticsInfoAMD::numAvailableSgprs

Definition at line 6559 of file vulkan_core.h.

## numAvailableVgprs

uint32_t VkShaderStatisticsInfoAMD::numAvailableVgprs

Definition at line 6558 of file vulkan_core.h.

## numPhysicalSgprs

uint32_t VkShaderStatisticsInfoAMD::numPhysicalSgprs

Definition at line 6557 of file vulkan_core.h.

## numPhysicalVgprs

uint32_t VkShaderStatisticsInfoAMD::numPhysicalVgprs

Definition at line 6556 of file vulkan_core.h.

## resourceUsage

VkShaderResourceUsageAMD VkShaderStatisticsInfoAMD::resourceUsage

Definition at line 6555 of file vulkan_core.h.

## shaderStageMask

VkShaderStageFlags VkShaderStatisticsInfoAMD::shaderStageMask

Definition at line 6554 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h